<div class="page-header">
    <h1 class="text-center text-left-sm">Расчетный счет на {{model.date}}</h1> {{#link-to 'bank.month.year' currentYear class="next"}}Выбрать месяц →{{/link-to}}
</div>
<div class="row">
    <div class="col-md-3"></div>
</div>
<div class="bankStates row">
    <div class="col-xs-12 col-sm-7 col-md-9">
        <div class="row">
            <div class="col-xs-12 col-sm-6 col-md-3">
                <div class="stat-panel">
                    <div class="stat-row">
                        <div class="stat-cell no-border-b bordered  padding-sm text-xs text-semibold">
                            ПРИХОД {{fa-icon "money" class='pull-right'}}
                        </div>
                    </div>
                    <div class="stat-row  text-center">
                        <div class="stat-cell bordered no-padding-hr">
                            <h3>{{model.comming}} {{fa-icon 'rub'}}</h3>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-3">
                <div class="stat-panel">
                    <div class="stat-row">
                        <div class="stat-cell no-border-b bordered  padding-sm text-xs text-semibold">
                            ЭКВАЙРИНГ {{fa-icon "credit-card" class='pull-right'}}
                        </div>
                    </div>
                    <div class="stat-row  text-center">
                        <div class="stat-cell bordered no-padding-hr">
                            <h3>{{model.acquiring}} {{fa-icon 'rub'}}</h3>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-3">
                <div class="stat-panel">
                    <div class="stat-row">
                        <div class="stat-cell no-border-b bordered  padding-sm text-xs text-semibold">
                            РАСХОД {{fa-icon "flash" class='pull-right'}}
                        </div>
                    </div>
                    <div class="stat-row text-center">
                        <div class="stat-cell bordered no-padding-hr">
                            <h3>{{model.expense}} {{fa-icon 'rub'}}</h3>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xs-12 col-sm-6 col-md-3">
                <div class="stat-panel">
                    <div class="stat-row">
                        <div class="stat-cell no-border-b bordered padding-sm text-xs text-semibold">
                            ТРАНЗАКЦИЙ {{fa-icon 'file-text-o' class='pull-right'}}
                        </div>
                    </div>
                    <div class="stat-row text-center">
                        <div class="stat-cell bordered no-padding-hr">
                            {{#link-to 'bank.lists' model class='dotted inline' tagName='h3'}} {{model.transact_num}} {{/link-to}}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="col-xs-12 col-sm-5 col-md-3">
        <div class="stat-panel">
            <div class="stat-cell bg-success valign-middle">
                {{fa-icon 'bank' class='bg-icon'}}
                <span class="text-lg"><strong>{{model.balance}}</strong></span>
                <br>
                <span class="text-bg">Баланс</span>
                <br>
                <span class="text-sm"><a href="#">на {{model.b_date}}</a></span>
            </div>
        </div>
    </div>
</div>
<br/>

<div class="page-header">
    <h1 class="text-center text-left-sm">Статистика по статьям расходов</h1>
</div>
<table class="table table-border table-hover">
    <thead>
        <tr>
            <th>Статья</th>
            <th>Сумма {{fa-icon 'rub' class="text-light-gray"}}</th>
            <th>Динамика {{fa-icon 'line-chart' class="text-light-gray"}}</th>
            <th>{{fa-icon 'eye' class="text-light-gray"}}</th>
        </tr>
    </thead>
    <tbody>
        {{#each model.statistics as |list|}}
            <tr  data-toggle="modal" data-target="#tr"  {{action 'getTransactions' list}}>
                <td><!--{{list.title.title}}-->Название статьи</td>
                <td><span class="text-{{list.dinamic_stat}}">{{list.summ}} р</span></td>
                <td><span class="text-light-gray">{{list.dinamic}} р</span></td>
                <td>{{list.num}}</td>
            </tr>
        {{/each}}
    </tbody>
</table>
    
<hr/>
<div class="text-right">
    {{#link-to 'bank.uploads' class='text-light-gray'}}К архиву выписок{{/link-to}}&nbsp;&nbsp;&nbsp;&nbsp;

    <button data-toggle="modal" data-target="#file" class="btn btn-lg btn-labeled  btn-success">
        <span class="btn-label icon fa fa-download"></span>Загрузить выписку
    </button>
</div>
{{outlet}}


<div id="tr" class="modal fade" tabindex="-1" role="dialog" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="page-header">
                <h1 class="text-center text-left-sm">Транзакции по статье {{currentTrans.title.title}}</h1>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            </div>
            <div class="modal-body">
                <table class="table table-border">
                    <thead>
                        <th>Дата</th>
                        <th>Контрагент</th>
                        <th>Расход</th>
                    </thead>
                    <tbody>
                        {{#each currentTrans.transactions as |trans|}}
                        <tr>
                            <td>{{trans.date}}</td>
                            <td>{{trans.contractor}}</td>
                            <td>{{trans.expense}}</td>
                        </tr>
                        {{/each}}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<div id="file" class="modal fade" tabindex="-1" role="dialog" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="page-header">
                <h1 class="text-center text-left-sm">Загрузите файл</h1>
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
            </div>
            <div class="modal-body">
                <p class="text-light-gray">Для загрузки новых операций по безналичным рассчетам загрузите файл выписку из банка</p>

            </div>
        </div>
    </div>
</div>

{{outlet}}